/************************************************************************/
/* Author: 	Hirotaka Miura.						*/
/* Contact: 	Hirotaka.Miura@gmail.com.				*/
/************************************************************************/

/************************************************************************/
/* 04/24/2011: 	Modified.						*/
/* 04/22/2011: 	Previouly modified.					*/
/* 04/22/2011: 	Created.						*/
/************************************************************************/

/************************************************************************/
/* Program: 	display_status().					*/
/* Function: 	Display status of algorthim by printing out dots.	*/
/************************************************************************/
mata:
void display_status(real scalar m, real scalar s){
  /* Declare variables.							*/
  string scalar o /* Output string.					*/
  /* Begin program.							*/
  /* Display status.							*/
  if(s==m){
    if(mod(s,50)==0 & m<=500){
      o="noisily display "+`"".""'+`"" "'+strofreal(s)+`"""'
      stata(o); displayflush()
    }
    else if(mod(s,10)==0 & mod(s,500)==0 & m>500){
      o="noisily display "+`"".""'+`"" "'+strofreal(s)+`"""'
      stata(o); displayflush()
    }
    else{
      o="noisily display "+`"".""'
      stata(o); displayflush()     
    }
  }
  else if(mod(s,50)!=0 & m<=500){
    o="noisily display "+`"".""'+"_continue"
    stata(o); displayflush()  
  }
  else if(mod(s,50)==0 & m<=500){
    o="noisily display "+`"".""'+`"" "'+strofreal(s)+`"""'
    stata(o); displayflush()  
  }  
  else if(mod(s,10)==0 & mod(s,500)!=0 & m>500){
    o="noisily display "+`"".""'+"_continue"
    stata(o); displayflush()  
  }
  else if(mod(s,10)==0 & mod(s,500)==0 & m>500){
    o="noisily display "+`"".""'+`"" "'+strofreal(s)+`"""'
    stata(o); displayflush()  
  }  
}
end

